## ffmpeg 2.5.10

=== libavcodec/Makefile ===
include $(SUBDIR)../config.mak

NAME = avcodec

HEADERS = avcodec.h                                                     \
          avfft.h                                                       \
          dv_profile.h                                                  \
          dxva2.h                                                       \
          old_codec_ids.h                                               \
          vaapi.h                                                       \
          vda.h                                                         \
          vdpau.h                                                       \
          version.h                                                     \
          vorbis_parser.h                                               \
          xvmc.h                                                        \

OBJS = allcodecs.o                                                      \
       audioconvert.o                                                   \
       avdct.o                                                          \
       avpacket.o                                                       \
       avpicture.o                                                      \
       bitstream.o                                                      \
       bitstream_filter.o                                               \
       codec_desc.o                                                     \
       dv_profile.o                                                     \
       fmtconvert.o                                                     \
       imgconvert.o                                                     \
       mathtables.o                                                     \
       options.o                                                        \
       parser.o                                                         \
       raw.o                                                            \
       resample.o                                                       \
       resample2.o                                                      \
       utils.o                                                          \
       vorbis_parser.o                                                  \
       xiph.o                                                           \

# subsystems
OBJS-$(CONFIG_AANDCTTABLES)            += aandcttab.o
OBJS-$(CONFIG_AC3DSP)                  += ac3dsp.o
OBJS-$(CONFIG_AUDIO_FRAME_QUEUE)       += audio_frame_queue.o
OBJS-$(CONFIG_AUDIODSP)                += audiodsp.o
OBJS-$(CONFIG_BLOCKDSP)                += blockdsp.o
OBJS-$(CONFIG_BSWAPDSP)                += bswapdsp.o
OBJS-$(CONFIG_CABAC)                   += cabac.o
OBJS-$(CONFIG_CRYSTALHD)               += crystalhd.o
OBJS-$(CONFIG_DCT)                     += dct.o dct32_fixed.o dct32_float.o
OBJS-$(CONFIG_ERROR_RESILIENCE)        += error_resilience.o
OBJS-$(CONFIG_EXIF)                    += exif.o tiff_common.o
OBJS-$(CONFIG_FAANDCT)                 += faandct.o
OBJS-$(CONFIG_FAANIDCT)                += faanidct.o
OBJS-$(CONFIG_FDCTDSP)                 += fdctdsp.o jfdctfst.o jfdctint.o
FFT-OBJS-$(CONFIG_HARDCODED_TABLES)    += cos_tables.o cos_fixed_tables.o
OBJS-$(CONFIG_FFT)                     += avfft.o fft_fixed.o fft_float.o \
                                          fft_fixed_32.o fft_init_table.o \
                                          $(FFT-OBJS-yes)
OBJS-$(CONFIG_GOLOMB)                  += golomb.o
OBJS-$(CONFIG_H263DSP)                 += h263dsp.o
OBJS-$(CONFIG_H264CHROMA)              += h264chroma.o
OBJS-$(CONFIG_H264DSP)                 += h264dsp.o h264idct.o
OBJS-$(CONFIG_H264PRED)                += h264pred.o
OBJS-$(CONFIG_H264QPEL)                += h264qpel.o
OBJS-$(CONFIG_HPELDSP)                 += hpeldsp.o
OBJS-$(CONFIG_HUFFMAN)                 += huffman.o
OBJS-$(CONFIG_HUFFYUVDSP)              += huffyuvdsp.o
OBJS-$(CONFIG_HUFFYUVENCDSP)           += huffyuvencdsp.o
OBJS-$(CONFIG_IDCTDSP)                 += idctdsp.o simple_idct.o jrevdct.o
OBJS-$(CONFIG_IIRFILTER)               += iirfilter.o
OBJS-$(CONFIG_INTRAX8)                 += intrax8.o intrax8dsp.o
OBJS-$(CONFIG_LIBXVID)                 += libxvid_rc.o
OBJS-$(CONFIG_LLAUDDSP)                += lossless_audiodsp.o
OBJS-$(CONFIG_LLVIDDSP)                += lossless_videodsp.o
OBJS-$(CONFIG_LPC)                     += lpc.o
OBJS-$(CONFIG_LSP)                     += lsp.o
OBJS-$(CONFIG_MDCT)                    += mdct_fixed.o mdct_float.o mdct_fixed_32.o
OBJS-$(CONFIG_ME_CMP)                  += me_cmp.o
OBJS-$(CONFIG_MPEG_ER)                 += mpeg_er.o
OBJS-$(CONFIG_MPEGAUDIO)               += mpegaudio.o mpegaudiodata.o   \
                                          mpegaudiodecheader.o
OBJS-$(CONFIG_MPEGAUDIODSP)            += mpegaudiodsp.o                \
                                          mpegaudiodsp_data.o           \
                                          mpegaudiodsp_fixed.o          \
                                          mpegaudiodsp_float.o
OBJS-$(CONFIG_MPEGVIDEO)               += mpegvideo.o mpegvideodsp.o    \
                                          mpegvideo_motion.o mpegutils.o
OBJS-$(CONFIG_MPEGVIDEOENC)            += mpegvideo_enc.o mpeg12data.o  \
                                          motion_est.o ratecontrol.o    \
                                          mpegvideoencdsp.o
OBJS-$(CONFIG_PIXBLOCKDSP)             += pixblockdsp.o
OBJS-$(CONFIG_QPELDSP)                 += qpeldsp.o
OBJS-$(CONFIG_RANGECODER)              += rangecoder.o
RDFT-OBJS-$(CONFIG_HARDCODED_TABLES)   += sin_tables.o
OBJS-$(CONFIG_RDFT)                    += rdft.o $(RDFT-OBJS-yes)
OBJS-$(CONFIG_SHARED)                  += log2_tab.o
OBJS-$(CONFIG_SINEWIN)                 += sinewin.o
OBJS-$(CONFIG_STARTCODE)               += startcode.o
OBJS-$(CONFIG_TPELDSP)                 += tpeldsp.o
OBJS-$(CONFIG_VIDEODSP)                += videodsp.o
OBJS-$(CONFIG_VP3DSP)                  += vp3dsp.o
OBJS-$(CONFIG_WMA_FREQS)               += wma_freqs.o

# decoders/encoders
OBJS-$(CONFIG_ZERO12V_DECODER)         += 012v.o
OBJS-$(CONFIG_A64MULTI_ENCODER)        += a64multienc.o elbg.o
OBJS-$(CONFIG_A64MULTI5_ENCODER)       += a64multienc.o elbg.o
OBJS-$(CONFIG_AAC_DECODER)             += aacdec.o aactab.o aacsbr.o aacps.o \
                                          aacadtsdec.o mpeg4audio.o kbdwin.o \
                                          sbrdsp.o aacpsdsp.o
OBJS-$(CONFIG_AAC_ENCODER)             += aacenc.o aaccoder.o    \
                                          aacpsy.o aactab.o      \
                                          psymodel.o mpeg4audio.o kbdwin.o
OBJS-$(CONFIG_AASC_DECODER)            += aasc.o msrledec.o
OBJS-$(CONFIG_AC3_DECODER)             += ac3dec_float.o ac3dec_data.o ac3.o kbdwin.o
OBJS-$(CONFIG_AC3_FIXED_DECODER)       += ac3dec_fixed.o ac3dec_data.o ac3.o kbdwin.o
OBJS-$(CONFIG_AC3_ENCODER)             += ac3enc_float.o ac3enc.o ac3tab.o \
                                          ac3.o kbdwin.o
OBJS-$(CONFIG_AC3_FIXED_ENCODER)       += ac3enc_fixed.o ac3enc.o ac3tab.o ac3.o
OBJS-$(CONFIG_AIC_DECODER)             += aic.o
OBJS-$(CONFIG_ALAC_DECODER)            += alac.o alac_data.o
OBJS-$(CONFIG_ALAC_ENCODER)            += alacenc.o alac_data.o
OBJS-$(CONFIG_ALIAS_PIX_DECODER)       += aliaspixdec.o
OBJS-$(CONFIG_ALIAS_PIX_ENCODER)       += aliaspixenc.o
OBJS-$(CONFIG_ALS_DECODER)             += alsdec.o bgmc.o mpeg4audio.o
OBJS-$(CONFIG_AMRNB_DECODER)           += amrnbdec.o celp_filters.o   \
                                          celp_math.o acelp_filters.o \
                                          acelp_vectors.o             \
                                          acelp_pitch_delay.o
OBJS-$(CONFIG_AMRWB_DECODER)           += amrwbdec.o celp_filters.o   \
                                          celp_math.o acelp_filters.o \
                                          acelp_vectors.o             \
                                          acelp_pitch_delay.o
OBJS-$(CONFIG_AMV_ENCODER)             += mjpegenc.o mjpeg.o mjpegenc_common.o \
                                          mpegvideo_enc.o motion_est.o \
                                          ratecontrol.o mpeg12data.o   \
                                          mpegvideo.o
OBJS-$(CONFIG_ANM_DECODER)             += anm.o
OBJS-$(CONFIG_ANSI_DECODER)            += ansi.o cga_data.o
OBJS-$(CONFIG_APE_DECODER)             += apedec.o
OBJS-$(CONFIG_APNG_DECODER)            += png.o pngdec.o pngdsp.o
OBJS-$(CONFIG_SSA_DECODER)             += assdec.o ass.o ass_split.o
OBJS-$(CONFIG_SSA_ENCODER)             += assenc.o ass.o
OBJS-$(CONFIG_ASS_DECODER)             += assdec.o ass.o ass_split.o
OBJS-$(CONFIG_ASS_ENCODER)             += assenc.o ass.o
OBJS-$(CONFIG_ASV1_DECODER)            += asvdec.o asv.o mpeg12data.o
OBJS-$(CONFIG_ASV1_ENCODER)            += asvenc.o asv.o mpeg12data.o
OBJS-$(CONFIG_ASV2_DECODER)            += asvdec.o asv.o mpeg12data.o
OBJS-$(CONFIG_ASV2_ENCODER)            += asvenc.o asv.o mpeg12data.o
OBJS-$(CONFIG_ATRAC1_DECODER)          += atrac1.o atrac.o
OBJS-$(CONFIG_ATRAC3_DECODER)          += atrac3.o atrac.o
OBJS-$(CONFIG_ATRAC3P_DECODER)         += atrac3plusdec.o atrac3plus.o \
                                          atrac3plusdsp.o atrac.o
OBJS-$(CONFIG_AURA_DECODER)            += cyuv.o
OBJS-$(CONFIG_AURA2_DECODER)           += aura.o
OBJS-$(CONFIG_AVRN_DECODER)            += avrndec.o mjpegdec.o mjpeg.o
OBJS-$(CONFIG_AVRP_DECODER)            += r210dec.o
OBJS-$(CONFIG_AVRP_ENCODER)            += r210enc.o
OBJS-$(CONFIG_AVS_DECODER)             += avs.o
OBJS-$(CONFIG_AVUI_DECODER)            += avuidec.o
OBJS-$(CONFIG_AVUI_ENCODER)            += avuienc.o
OBJS-$(CONFIG_AYUV_DECODER)            += v408dec.o
OBJS-$(CONFIG_AYUV_ENCODER)            += v408enc.o
OBJS-$(CONFIG_BETHSOFTVID_DECODER)     += bethsoftvideo.o
OBJS-$(CONFIG_BFI_DECODER)             += bfi.o
OBJS-$(CONFIG_BINK_DECODER)            += bink.o binkdsp.o
OBJS-$(CONFIG_BINKAUDIO_DCT_DECODER)   += binkaudio.o
OBJS-$(CONFIG_BINKAUDIO_RDFT_DECODER)  += binkaudio.o
OBJS-$(CONFIG_BINTEXT_DECODER)         += bintext.o cga_data.o
OBJS-$(CONFIG_BMP_DECODER)             += bmp.o msrledec.o
OBJS-$(CONFIG_BMP_ENCODER)             += bmpenc.o
OBJS-$(CONFIG_BMV_AUDIO_DECODER)       += bmvaudio.o
OBJS-$(CONFIG_BMV_VIDEO_DECODER)       += bmvvideo.o
OBJS-$(CONFIG_BRENDER_PIX_DECODER)     += brenderpix.o
OBJS-$(CONFIG_C93_DECODER)             += c93.o
OBJS-$(CONFIG_CAVS_DECODER)            += cavs.o cavsdec.o cavsdsp.o \
                                          cavsdata.o mpeg12data.o
OBJS-$(CONFIG_CDGRAPHICS_DECODER)      += cdgraphics.o
OBJS-$(CONFIG_CDXL_DECODER)            += cdxl.o
OBJS-$(CONFIG_CINEPAK_DECODER)         += cinepak.o
OBJS-$(CONFIG_CINEPAK_ENCODER)         += cinepakenc.o elbg.o
OBJS-$(CONFIG_CLJR_DECODER)            += cljrdec.o
OBJS-$(CONFIG_CLJR_ENCODER)            += cljrenc.o
OBJS-$(CONFIG_CLLC_DECODER)            += cllc.o
OBJS-$(CONFIG_COOK_DECODER)            += cook.o
OBJS-$(CONFIG_COMFORTNOISE_DECODER)    += cngdec.o celp_filters.o
OBJS-$(CONFIG_COMFORTNOISE_ENCODER)    += cngenc.o
OBJS-$(CONFIG_CPIA_DECODER)            += cpia.o
OBJS-$(CONFIG_CSCD_DECODER)            += cscd.o
OBJS-$(CONFIG_CYUV_DECODER)            += cyuv.o
OBJS-$(CONFIG_DCA_DECODER)             += dcadec.o dca.o dcadsp.o      \
                                          synth_filter.o
OBJS-$(CONFIG_DCA_ENCODER)             += dcaenc.o dca.o
OBJS-$(CONFIG_DIRAC_DECODER)           += diracdec.o dirac.o diracdsp.o \
                                          dirac_arith.o mpeg12data.o dirac_dwt.o
OBJS-$(CONFIG_DFA_DECODER)             += dfa.o
OBJS-$(CONFIG_DNXHD_DECODER)           += dnxhddec.o dnxhddata.o
OBJS-$(CONFIG_DNXHD_ENCODER)           += dnxhdenc.o dnxhddata.o
OBJS-$(CONFIG_DPX_DECODER)             += dpx.o
OBJS-$(CONFIG_DPX_ENCODER)             += dpxenc.o

=== debian/changelog ===
ffmpeg (7:2.5.10-0ubuntu0.15.04.1) vivid-security; urgency=medium

  * Import new upstream bugfix release 2.5.10.
     - Fixes CVE-2016-1897 and CVE-2016-1898. (LP: #1533367)

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Tue, 19 Jan 2016 20:24:46 +0100

ffmpeg (7:2.5.9-0ubuntu0.15.04.1) vivid-security; urgency=medium

  * Import new upstream bugfix release 2.5.9. (LP: #1523692)
    Fixes CVE-2015-6761, CVE-2015-8216, CVE-2015-8219, CVE-2015-8363,
    CVE-2015-8364 and CVE-2015-8365.

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Mon, 07 Dec 2015 23:22:22 +0100

ffmpeg (7:2.5.8-0ubuntu0.15.04.1) vivid-security; urgency=medium

  * Import new upstream bugfix release 2.5.8. (LP: #1480311)

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Fri, 31 Jul 2015 15:50:07 +0200

ffmpeg (7:2.5.7-0ubuntu0.15.04.1) vivid-security; urgency=medium

  * Import new upstream bugfix release 2.5.7. (LP: #1458171)

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Sat, 23 May 2015 15:39:06 +0200

ffmpeg (7:2.5.6-0ubuntu0.15.04.1) vivid-security; urgency=medium

  * Import new upstream bugfix release 2.5.6. (LP: #1436296)

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Sun, 19 Apr 2015 19:39:22 +0200

=== debian/control ===
Source: ffmpeg
Section: video
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>
Uploaders: Alexander Strasser <eclipse7@gmx.net>
Homepage: https://ffmpeg.org/
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/collab-maint/ffmpeg.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ffmpeg.git
Build-Depends-Indep:
# needed to minify the CSS files
 cleancss,
# Autogenerated documentation
 doxygen,
# needed to create the CSS files for the HTML manuals
 node-less
Build-Depends:
# needed for some tests: fate-swr-resample-*, fate-acodec-*
 bc,
# needed for dh
 debhelper (>= 9),
# --enable-libflite
 flite1-dev,
# --enable-frei0r
 frei0r-plugins-dev [!x32],
# --enable-ladspa
 ladspa-sdk,
# --enable-libass
 libass-dev,
# --enable-libbluray
 libbluray-dev,
# --enable-libbs2b
 libbs2b-dev,
# autodetected: external library 'bzlib'
 libbz2-dev,
# --enable-libcaca
 libcaca-dev,
# --enable-libcdio
 libcdio-paranoia-dev,
# autodetected 'crystalhd'
 libcrystalhd-dev [amd64 i386],
# --enable-libdc1394
 libdc1394-22-dev [linux-any],
# --enable-libfontconfig
 libfontconfig1-dev,
# --enable-libfreetype
 libfreetype6-dev,
# --enable-fribidi
 libfribidi-dev,
# --enable-opengl
 libgl1-mesa-dev,
# --enable-libgme
 libgme-dev,
# --enable-gnutls
 libgnutls28-dev [!sparc64] | libgnutls-dev [!sparc64],
# --enable-libgsm
 libgsm1-dev,
# Fails to be detected by configure script, if not also libavc1394-dev is installed.
# --enable-libiec61883
 libiec61883-dev [linux-any],
 libavc1394-dev [linux-any],
# autodetected: indev 'jack'
 libjack-jackd2-dev,
# --enable-libmodplug
 libmodplug-dev,
# --enable-libmp3lame
 libmp3lame-dev,
# --enable-openal
 libopenal-dev [!sparc64],
# --enable-libopencv
 libopencv-dev [!m68k !powerpcspe !sh4 !sparc64 !x32],
# --enable-libopenjpeg
 libopenjpeg-dev,
# --enable-libopus
 libopus-dev,
# Disabled, as it might produce problems.
# # --enable-libquvi
# libquvi-dev,
# --enable-libpulse
 libpulse-dev,
# --enable-librtmp
 librtmp-dev [!sparc64],
# --enable-libschroedinger
 libschroedinger-dev,
# autodetected: protocol 'sctp'
 libsctp-dev [linux-any],
# autodetected: SDL support
 libsdl-dev [!x32],
# --enable-libshine
 libshine-dev (>= 3.0.0),
# --enable-libsoxr
 libsoxr-dev [!sparc64],
# --enable-libspeex
 libspeex-dev,
# --enable-libssh
 libssh-dev,
# --enable-libtheora
 libtheora-dev,
# --enable-libtwolame
 libtwolame-dev,
# This is not necessary, see explanation in debian/rules.
# # --enable-libv4l2
# libv4l-dev [!hurd-any],
# autodetected: hwaccels 'h263_vaapi, mpeg2_vaapi, vc1_vaapi, h264_vaapi, mpeg4_vaapi, wmv3_vaapi'
 libva-dev [!hurd-any],
# autodetected: hwaccels 'h263_vdpau, mpeg2_vdpau, vc1_vdpau, h264_vdpau, mpeg4_vdpau, wmv3_vdpau, mpeg1_vdpau', decoders 'h264_vdpau, mpeg1_vdpau, mpeg4_vdpau, mpeg_vdpau, vc1_vdpau, wmv3_vdpau'
 libvdpau-dev,
# --enable-libvorbis
 libvorbis-dev,
# --enable-libvpx
 libvpx-dev [!x32],
# --enable-libwavpack
 libwavpack-dev,
# --enable-libwebp
 libwebp-dev,
# --enable-libx264
 libx264-dev [!x32],
# --enable-libx265
 libx265-dev [!sparc !m68k !sh4 !sparc64 !x32],
# --enable-x11grab
 libxext-dev,
# --enable-libxvid
 libxvidcore-dev,
# autodetected: decoder 'mpeg_xvmc'; outdev 'xv'
 libxvmc-dev,
# --enable-libzmq
 libzmq3-dev [!hurd-any],
# --enable-libzvbi
 libzvbi-dev [!m68k],
# The opencl API is considered experimental.
# # --enable-opencl
# ocl-icd-opencl-dev [!hurd-any] | opencl-dev [!hurd-any],
# HTML documentation
 texinfo,
# assembler optimizations
 yasm

Package: ffmpeg
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Recommends:
 qt-faststart
Description: Tools for transcoding, streaming and playing of multimedia files
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This package contains:
  * ffmpeg: a command line tool to convert multimedia files between formats
  * ffserver: a multimedia streaming server for live broadcasts
  * ffplay: a simple media player based on SDL and the FFmpeg libraries
  * ffprobe: a simple multimedia stream analyzer
 .
 NOTE: It does not contain qt-faststart to avoid a conflict with libav-tools.
       If you need qt-faststart from FFmpeg, install the package qt-faststart,
       which is recommended by this package.

Package: qt-faststart
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Breaks: ffmpeg (<< 7:2)
Replaces: ffmpeg (<< 7:2)
Description: Utility to rearrange a Quicktime file
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This package contains qt-faststart, a utility that rearranges a Quicktime
 file such that the moov atom is in front of the data, thus facilitating
 network streaming.
 .
 NOTE: It diverts the qt-faststart from libav-tools to qt-faststart.libav.

Package: ffmpeg-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends:
 ffmpeg (= ${binary:Version}),
 libavcodec-ffmpeg56 (= ${binary:Version}),
 libavdevice-ffmpeg56 (= ${binary:Version}),
 libavfilter-ffmpeg5 (= ${binary:Version}),
 libavformat-ffmpeg56 (= ${binary:Version}),
 libavutil-ffmpeg54 (= ${binary:Version}),
 libpostproc-ffmpeg53 (= ${binary:Version}),
 libswresample-ffmpeg1 (= ${binary:Version}),
 libswscale-ffmpeg3 (= ${binary:Version}),
 ${misc:Depends}
Description: Debug symbols for the FFmpeg multimedia framework
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This package contains the debug symbols used to produce useful debugging
 back-traces.

Package: ffmpeg-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 libjs-jquery,
 ${misc:Depends}
Description: Documentation of the FFmpeg multimedia framework
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This package contains the HTML documentation for the FFmpeg multimedia
 framework including the API documentation created by doxygen and the manpages
 for the libraries.

Package: libavcodec-ffmpeg56
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: FFmpeg library with de/encoders for audio/video codecs - runtime files
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This library provides a generic encoding/decoding framework and
 contains multiple decoders and encoders for audio, video and subtitle streams,
 and several bitstream filters.
 .
 The shared architecture provides various services ranging from bit stream I/O
 to DSP optimizations, and makes it suitable for implementing robust and fast
 codecs as well as for experimentation.
 .
 This package contains the runtime files.

Package: libavcodec-ffmpeg-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Conflicts:
 libavcodec-dev
Depends:
 libavcodec-ffmpeg56 (= ${binary:Version}),
 libavutil-ffmpeg-dev (= ${binary:Version}),
 libswresample-ffmpeg-dev (= ${binary:Version}),
 ${misc:Depends}
Description: FFmpeg library with de/encoders for audio/video codecs - development files
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This library provides a generic encoding/decoding framework and
 contains multiple decoders and encoders for audio, video and subtitle streams,
 and several bitstream filters.
 .
 The shared architecture provides various services ranging from bit stream I/O
 to DSP optimizations, and makes it suitable for implementing robust and fast
 codecs as well as for experimentation.
 .
 This package contains the development files.

Package: libavdevice-ffmpeg56
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: FFmpeg library for handling input and output devices - runtime files
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This library provides a generic framework for grabbing from and rendering to
 many common multimedia input/output devices, and supports several input and
 output devices, including Video4Linux2, VfW, DShow, and ALSA.
 .
 This package contains the runtime files.

Package: libavdevice-ffmpeg-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Conflicts:
 libavdevice-dev
Depends:
 libavcodec-ffmpeg-dev (= ${binary:Version}),
 libavdevice-ffmpeg56 (= ${binary:Version}),
 libavfilter-ffmpeg-dev (= ${binary:Version}),
 libavformat-ffmpeg-dev (= ${binary:Version}),
 libavresample-ffmpeg-dev (= ${binary:Version}),
 libavutil-ffmpeg-dev (= ${binary:Version}),
 libpostproc-ffmpeg-dev (= ${binary:Version}),
 libswscale-ffmpeg-dev (= ${binary:Version}),
 libswresample-ffmpeg-dev (= ${binary:Version}),
 ${misc:Depends}
Description: FFmpeg library for handling input and output devices - development files
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This library provides a generic framework for grabbing from and rendering to
 many common multimedia input/output devices, and supports several input and
 output devices, including Video4Linux2, VfW, DShow, and ALSA.
 .
 This package contains the development files.

Package: libavfilter-ffmpeg5
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: FFmpeg library containing media filters - runtime files
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This library provides a generic audio/video filtering framework containing
 several filters, sources and sinks.
 .
 This package contains the runtime files.

Package: libavfilter-ffmpeg-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Conflicts:
 libavfilter-dev
Depends:
 libavcodec-ffmpeg-dev (= ${binary:Version}),
 libavfilter-ffmpeg5 (= ${binary:Version}),
 libavformat-ffmpeg-dev (= ${binary:Version}),
 libavresample-ffmpeg-dev (= ${binary:Version}),
 libavutil-ffmpeg-dev (= ${binary:Version}),
 libpostproc-ffmpeg-dev (= ${binary:Version}),
 libswresample-ffmpeg-dev (= ${binary:Version}),
 libswscale-ffmpeg-dev (= ${binary:Version}),
 ${misc:Depends}
Description: FFmpeg library containing media filters - development files
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and

=== debian/rules ===
#!/usr/bin/make -f

# This enables verbose mode.
export DH_VERBOSE=1
export V=1

# Determine the debian directory, which is the directory of this makefile.
# The path of this makefile is the first word in the MAKEFILE_LIST.
DEBIAN_DIR = $(dir $(firstword $(MAKEFILE_LIST)))

# Get the Debian version revision:
DEB_VERSION  := $(shell dpkg-parsechangelog -l$(DEBIAN_DIR)changelog -SVersion)
DEB_REVISION := $(word 2, $(subst -, ,$(DEB_VERSION)))

# Get the architecture triplet:
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Get the host architecture/OS:
DEB_HOST_ARCH_OS   ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

# Ubuntu ld adds -Bsymbolic-functions by default, but that prevents FFmpeg from building.
LDFLAGS := $(filter-out %-Bsymbolic-functions,$(shell dpkg-buildflags --get LDFLAGS))

# Enable as many features as possible, as long as the result is still GPLv2+ (and not only GPLv3+).
# Therefore the following flags (and build-dependencies) are not added:
#   --enable-libopencore_amrnb      (libopencore-amrnb-dev)
#   --enable-libopencore_amrwb      (libopencore-amrwb-dev)
#   --enable-libvo_aacenc           (libvo-aacenc-dev)
#   --enable-libvo_amrwbenc         (libvo-amrwbenc-dev)
#   --enable-libsmbclient           (libsmbclient-dev)
# The following flags are not added, because the necessary libraries are not in Debian:
#   --enable-decklink
#   --enable-libcelt                (see #676592: removed from Debian as abandoned upstream, replaced by opus)
#   --enable-libilbc                (see #675959 for the RFP bug)
#   --enable-libnut
#   --enable-libstagefright-h264
#   --enable-libutvideo
#   --enable-libvidstab             (see #709193 for the RFP bug)
#   --enable-libxavs
# The following flags are not added for various reasons:
#   * --enable-libquvi: The wrapper wasn't updated for recent versions (due to license concerns) and thus might produce problems, e.g. for mpv.
#   * --enable-libv4l2 [!hurd-any]: This is only needed for very old devices and may cause problems for others.
#                                   Should anyone need it, using LD_PRELOAD pointing on libv4l2 has the same effect.
#   * --enable-opencl [!hurd-any]:  This is considered an experimental API.
# For the shared libraries there are several ways to build:
#  * Without further option: This will have no compatibility with Libav, but some sonames clash. Therefore no good choice.
#  * With --enable-incompatible-libav-abi, packages build against Libav would work with these libraries, but probably not the other way around.
#    This could be used together with Breaks:, Replaces: against the corresponding Libav libraries.
#  * With --enable-raise-major, the resulting binaries should be co-installable with the Libav ones and thus no conflicts would be necessary.
#    But this could break versioned configure checks.
#  * With --build-suffix="-ffmpeg" the library names are changed, so there can't be a conflict with Libav.
#    The patch pkg-config_file_without_build_suffix.patch ensures that packages using pkg-config still work with these FFmpeg library packages.
CONFIG := --prefix=/usr \
	--extra-version="$(DEB_REVISION)" \
	--build-suffix="-ffmpeg" \
	--toolchain=hardened \
	--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
	--shlibdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
	--incdir=/usr/include/$(DEB_HOST_MULTIARCH) \
	--enable-gpl \
	--enable-shared \
	--disable-stripping \
	--enable-avresample \
	--enable-avisynth \
	--enable-ladspa \
	--enable-libass \
	--enable-libbluray \
	--enable-libbs2b \
	--enable-libcaca \
	--enable-libcdio \
	--enable-libflite \
	--enable-libfontconfig \
	--enable-libfreetype \
	--enable-libfribidi \
	--enable-libgme \
	--enable-libgsm \
	--enable-libmodplug \
	--enable-libmp3lame \
	--enable-libopenjpeg \
	--enable-libopus \
	--enable-libpulse \
	--enable-libschroedinger \
	--enable-libshine \
	--enable-libspeex \
	--enable-libssh \
	--enable-libtheora \
	--enable-libtwolame \
	--enable-libvorbis \
	--enable-libwavpack \
	--enable-libwebp \
	--enable-libxvid \
	--enable-opengl \
	--enable-x11grab

# Disable optimizations if requested.
ifneq (,$(filter $(DEB_BUILD_OPTIONS),noopt))
	CONFIG += --disable-optimizations
endif

# Some libraries are build only on linux.
ifeq ($(DEB_HOST_ARCH_OS),linux)
	CONFIG += --enable-libdc1394 \
	--enable-libiec61883
endif

# libzvbi is not available on m68k
ifneq ($(DEB_HOST_ARCH),m68k)
	CONFIG += --enable-libzvbi
endif

# Some libraries are not build on hurd.
ifneq ($(DEB_HOST_ARCH_OS),hurd)
	CONFIG += --enable-libzmq
endif

# Some libraries are not available on x32.
ifneq ($(DEB_HOST_ARCH),x32)
	CONFIG += --enable-frei0r \
	--enable-libvpx \
	--enable-libx264
endif

# Some libraries are not available on sparc64.
ifneq ($(DEB_HOST_ARCH),sparc64)
	CONFIG += --enable-libsoxr \
	--enable-gnutls \
	--enable-openal
endif

# OpenCV is not available on some architectures.
ifeq (,$(filter $(DEB_HOST_ARCH),m68k powerpcspe sh4 sparc64 x32))
	CONFIG += --enable-libopencv
endif

# librtmp-dev is uninstallable on sparc64.
ifeq (,$(filter $(DEB_HOST_ARCH),sparc64))
	CONFIG += --enable-librtmp
endif

# X265 is not (yet) available on some architectures.
ifeq (,$(filter $(DEB_HOST_ARCH),sparc m68k sh4 sparc64 x32))
	CONFIG += --enable-libx265
endif

# Disable altivec optimizations on powerpc, because they are not always available on this architecture.
ifeq ($(DEB_HOST_ARCH),powerpc)
	CONFIG += --disable-altivec
endif

# Disable assembly optimizations on ppc64el and x32, because they don't work (yet).
ifneq (,$(filter $(DEB_HOST_ARCH),ppc64el x32))
	CONFIG += --disable-asm
endif

# Disable optimizations on mips(el), because they are not always available on these architecture
# and on mips64(el), because they don't work (yet).
ifneq (,$(filter $(DEB_HOST_ARCH),mips mipsel mips64 mips64el))
	CONFIG += --disable-mips32r2 \
	--disable-mipsdspr1 \
	--disable-mipsdspr2 \
	--disable-mipsfpu
endif

# Use the default debhelper scripts, where possible.
# Enable parallel building.
%:
	dh $@ --parallel

# Add configuration options:
override_dh_auto_configure:
	$(info DEB_BUILD_OPTIONS = $(DEB_BUILD_OPTIONS))
	./configure $(CONFIG) || (cat config.log && exit 1)

# Building the source package fails without this override, because config.mak does not exist in the source.
# It (and related files) are created by configure and removed by distclean.
# The folder doc/examples/pc-uninstalled is not removed by distclean, so remove it manually.
override_dh_auto_clean:
	[ ! -f config.mak ] || make distclean
	[ ! -d doc/examples/pc-uninstalled ] || rm -r doc/examples/pc-uninstalled
	# Restore backed up CSS files
	[ ! -f debian/bootstrap.min.css.bak ] || mv debian/bootstrap.min.css.bak doc/bootstrap.min.css
	[ ! -f debian/style.min.css.bak ] || mv debian/style.min.css.bak doc/style.min.css

# Create doxygen documentation:
override_dh_auto_build-indep:
	dh_auto_build -i -- apidoc
	# Backup the minified CSS files distributed by upstream.
	mv doc/bootstrap.min.css debian/bootstrap.min.css.bak
	mv doc/style.min.css debian/style.min.css.bak
	# Create the minified CSS files.
	lessc debian/missing-sources/bootstrap/less/bootstrap.less | cleancss | cat debian/missing-sources/bootstrap_copyright_notice.txt - > doc/bootstrap.min.css
	lessc debian/missing-sources/ffmpeg-web/src/less/style.less | cleancss > doc/style.min.css

override_dh_auto_build-arch:
	# Build qt-faststart here, to make it possible to build with 'nocheck'.
	make tools/qt-faststart
	dh_auto_build -a || (cat config.log && exit 1)

# Set the library path for the dynamic linker, because the test otherwise don't find the libraries.
override_dh_auto_test:
	export LD_LIBRARY_PATH="libavcodec:libavdevice:libavfilter:libavformat:libavresample:libavutil:libpostproc:libswresample:libswscale"; dh_auto_test -- -k

# Move the debug symbols to the debug package:
override_dh_strip:

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.asc/" \
  https://ffmpeg.org/releases/ffmpeg-([0-9.]+)\.tar\.gz

## ffmpeg 2.6.1

=== debian/changelog ===
ffmpeg (7:2.6.1-1b1) staging; urgency=medium

  * No-change rebuild for Tanglu.

 -- Jon Severinsson <jon@severinsson.net>  Wed, 08 Apr 2015 17:15:14 +0200

ffmpeg (7:2.6.1-1) unstable; urgency=medium

  * Import new major upstream release 2.6.1.
  * Add Breaks and Replaces on libav-tools (<< 6:9~), which shipped ff*
    symlinks. Thanks to Andreas Beckmann. (Closes: #779664)
  * Adapt debian/rules to changes in the configure script:
     - Don't explicitly set shlibdir as it now defaults to libdir.
     - Drop --disable-mips32r2, which has no effect anymore.
     - Don't add --disable-mipsfpu on mips64(el) as it should work there.
  * Enable libx265-dev on sparc, m68k and sh4, where it is now available.
  * Update debian/missing-sources.
  * Drop patches included upstream:
     - configure-use-ar-and-ranlib-in-deterministic-mode-if.patch
     - stop-embedding-the-build-date.patch
  * Add new symbols to debian/*.symbols.
  * Add autopkgtests:
     - examples: compile the example programs
     - encdec: test creating/reading files for many codec/format combinations
  * Update debian/copyright.
  * Add Breaks on kodi-bin (<= 14.0+dfsg1-1), because it uses internal FFmpeg
    API, which was changed incompatibly.

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Mon, 16 Mar 2015 23:53:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ffmpeg
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>
+Maintainer: Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>
 Uploaders: Alexander Strasser <eclipse7@gmx.net>
 Homepage: https://ffmpeg.org/
 Standards-Version: 3.9.6
@@ -117,7 +116,7 @@
 # --enable-libx264
  libx264-dev [!x32],
 # --enable-libx265
- libx265-dev [!sparc !m68k !sh4 !sparc64 !x32],
+ libx265-dev [!sparc64 !x32],
 # --enable-x11grab
  libxext-dev,
 # --enable-libxvid
@@ -144,6 +143,8 @@
  ${misc:Depends}
 Recommends:
  qt-faststart
+Breaks: libav-tools (<< 6:9~)
+Replaces: libav-tools (<< 6:9~)
 Description: Tools for transcoding, streaming and playing of multimedia files
  FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
  mux, demux, stream, filter and play pretty much anything that humans and

=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,9 @@
 #   --enable-decklink
 #   --enable-libcelt                (see #676592: removed from Debian as abandoned upstream, replaced by opus)
 #   --enable-libilbc                (see #675959 for the RFP bug)
+#   --enable-libmfx
 #   --enable-libnut
+#   --enable-libopenh264
 #   --enable-libstagefright-h264
 #   --enable-libutvideo
 #   --enable-libvidstab             (see #709193 for the RFP bug)
@@ -56,7 +58,6 @@
 	--build-suffix="-ffmpeg" \
 	--toolchain=hardened \
 	--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
-	--shlibdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
 	--incdir=/usr/include/$(DEB_HOST_MULTIARCH) \
 	--enable-gpl \
 	--enable-shared \
@@ -139,7 +140,7 @@
 endif
 
 # X265 is not (yet) available on some architectures.
-ifeq (,$(filter $(DEB_HOST_ARCH),sparc m68k sh4 sparc64 x32))
+ifeq (,$(filter $(DEB_HOST_ARCH),sparc64 x32))
 	CONFIG += --enable-libx265
 endif
 
@@ -153,13 +154,13 @@
 	CONFIG += --disable-asm
 endif
 
-# Disable optimizations on mips(el), because they are not always available on these architecture
-# and on mips64(el), because they don't work (yet).
+# Disable optimizations on mips(el) and some on mips64(el), because they are not always available on these architectures.
 ifneq (,$(filter $(DEB_HOST_ARCH),mips mipsel mips64 mips64el))
-	CONFIG += --disable-mips32r2 \
-	--disable-mipsdspr1 \
-	--disable-mipsdspr2 \
-	--disable-mipsfpu
+	CONFIG += --disable-mipsdspr1 \
+	--disable-mipsdspr2
+endif
+ifneq (,$(filter $(DEB_HOST_ARCH),mips mipsel))
+	CONFIG += --disable-mipsfpu
 endif
 
 # Use the default debhelper scripts, where possible.

=== debian/tests/control ===
Tests: examples
Depends: build-essential, ffmpeg-doc, libavdevice-ffmpeg-dev, libavformat-ffmpeg-dev, libavfilter-ffmpeg-dev, libavcodec-ffmpeg-dev, libswresample-ffmpeg-dev, libswscale-ffmpeg-dev, libavutil-ffmpeg-dev, pkg-config

Tests: encdec
Depends: ffmpeg
